# Uses of Class
org.snpeff.binseq.DnaAndQualitySequence

Packages that use DnaAndQualitySequence
Package
Description
org.snpeff.binseq
org.snpeff.binseq.comparator

## Uses of DnaAndQualitySequence in org.snpeff.binseq

Subclasses of DnaAndQualitySequence in org.snpeff.binseq
Modifier and Type
Class
Description
`class`
`DnaAndQualitySequenceWithId`
DnaAndQualitySequence with an ID
Methods in org.snpeff.binseq that return DnaAndQualitySequence
Modifier and Type
Method
Description
`static DnaAndQualitySequence`
DnaAndQualitySequence.`empty()`
`DnaAndQualitySequence`
DnaAndQualitySequence.`overlap(BinarySequence sequence, int start)`
Creates a new sequence by overlapping 'this' and 'sequence' E.g.
`DnaAndQualitySequence`
DnaAndQualitySequence.`read(DataInputStream dataInStream)`
Read data in binary format
`DnaAndQualitySequence`
DnaAndQualitySequence.`reverseWc()`

## Uses of DnaAndQualitySequence in org.snpeff.binseq.comparator

Methods in org.snpeff.binseq.comparator with parameters of type DnaAndQualitySequence
Modifier and Type
Method
Description
`int`
DnaQualSubsequenceComparator.`compare(DnaAndQualitySequence seq1, int index1, DnaAndQualitySequence seq2, int index2)`
`int`
DnaQualSubsequenceComparator.`score(DnaAndQualitySequence seq1, int index1, DnaAndQualitySequence seq2, int index2)`